// DialogColor.cpp : implementation file
//

#include "stdafx.h"
#include "OpenGL.h"
#include "DialogColor.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DialogColor dialog


DialogColor::DialogColor(CWnd* pParent /*=NULL*/)
	: CDialog(DialogColor::IDD, pParent)
{
	//{{AFX_DATA_INIT(DialogColor)
	ColObj = -1;
	Red = 0;
	Green = 0;
	Blue = 0;
	Alpha = 0;
	//}}AFX_DATA_INIT
}


void DialogColor::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DialogColor)
	DDX_Control(pDX, IDC_SLIDER5, c_alpha);
	DDX_Control(pDX, IDC_SLIDER3, c_blue);
	DDX_Control(pDX, IDC_SLIDER2, c_green);
	DDX_Control(pDX, IDC_SLIDER1, c_red);
	DDX_CBIndex(pDX, IDC_COMBO1, ColObj);
	DDX_Slider(pDX, IDC_SLIDER1, Red);
	DDX_Slider(pDX, IDC_SLIDER2, Green);
	DDX_Slider(pDX, IDC_SLIDER3, Blue);
	DDX_Slider(pDX, IDC_SLIDER5, Alpha);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DialogColor, CDialog)
	//{{AFX_MSG_MAP(DialogColor)
	ON_WM_SHOWWINDOW()
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER1, OnRedSlider1)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER2, OnGreenSlider2)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER3, OnBlueSlider3)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER5, OnAlphaSlider5)
	ON_CBN_SELCHANGE(IDC_COMBO1, OnSelchangeCombo1)
	ON_BN_CLICKED(IDC_Default, OnDefault)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DialogColor message handlers

void DialogColor::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);
	 c_red.SetRange(-1000,0,TRUE);
	 c_green.SetRange(-1000,0,TRUE);
	 c_blue.SetRange(-1000,0,TRUE);
	 c_alpha.SetRange(-1000,0,TRUE);
	
}

void DialogColor::OnSelchangeCombo1() 
{
CWnd* WndSlider[4];
CWnd* WndButton;	
CWnd* WndText[4];
WndSlider[0]=GetDlgItem(IDC_SLIDER1);
WndSlider[1]=GetDlgItem(IDC_SLIDER2);
WndSlider[2]=GetDlgItem(IDC_SLIDER3);
WndSlider[3]=GetDlgItem(IDC_SLIDER5);
WndText[0]=GetDlgItem(IDC_STATIC1);
WndText[1]=GetDlgItem(IDC_STATIC2);
WndText[2]=GetDlgItem(IDC_STATIC3);
WndText[3]=GetDlgItem(IDC_STATIC4);
WndButton=GetDlgItem(IDC_Default);
WndSlider[0]->ShowWindow(TRUE);
WndSlider[1]->ShowWindow(TRUE);
WndSlider[2]->ShowWindow(TRUE);
WndSlider[3]->ShowWindow(TRUE);
WndButton->ShowWindow(TRUE);
WndText[0]->ShowWindow(TRUE);
WndText[1]->ShowWindow(TRUE);
WndText[2]->ShowWindow(TRUE);
WndText[3]->ShowWindow(TRUE);
UpdateData();
switch (ColObj)
{
case 0:
	c_red.SetPos(0);
	c_green.SetPos(-1000);
	c_blue.SetPos(0);
	c_alpha.SetPos(-1000);
	UpdateData();
	break;
case 1:
	c_red.SetPos(0);
	c_green.SetPos(0);
	c_blue.SetPos(-1000);
	c_alpha.SetPos(-1000);	
	UpdateData();
	break;
case 2:
	c_red.SetPos(-1000);
	c_green.SetPos(0);
	c_blue.SetPos(0);
	c_alpha.SetPos(-1000);	
	UpdateData();
	break;
case 3:
	c_red.SetPos(-1000);
	c_green.SetPos(-1000);
	c_blue.SetPos(-1000);
	c_alpha.SetPos(-1000);	
	UpdateData();
	break;
}
SoundWav("PIC");
}

void DialogColor::OnOK() 
{
    SoundWav("CLOSE");	
	CDialog::OnOK();
}
