// DialogLight.cpp : implementation file
//

#include "stdafx.h"
#include "OpenGL.h"
#include "DialogLight.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DialogLight dialog


DialogLight::DialogLight(CWnd* pParent /*=NULL*/)
	: CDialog(DialogLight::IDD, pParent)
{
	//{{AFX_DATA_INIT(DialogLight)
	Light = 0;
	//}}AFX_DATA_INIT
}


void DialogLight::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DialogLight)
	DDX_Control(pDX, IDC_SLIDER1, c_light);
	DDX_Slider(pDX, IDC_SLIDER1, Light);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DialogLight, CDialog)
	//{{AFX_MSG_MAP(DialogLight)
	ON_WM_SHOWWINDOW()
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER1, OnLightSlider1)
	ON_BN_CLICKED(IDC_Default4, OnDefault4)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DialogLight message handlers

void DialogLight::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	c_light.SetRange(0,1000);
	CDialog::OnShowWindow(bShow, nStatus);
    c_light.SetPos(500);
}

void DialogLight::OnOK() 
{
    SoundWav("CLOSE");	
	CDialog::OnOK();
}
