#include "stdafx.h"
#include "mmsystem.h"
#include "dsound.h"

double Conv(int a)
{
double b;
b=a;
return -1*b/1000;
}

BOOL SoundWav(LPSTR lpName)
{
    BOOL bRtn;
    LPSTR lpRes;
    HANDLE hRes;
    HRSRC hResInfo;
    HINSTANCE Nl=AfxGetInstanceHandle();

    /* Find the WAVE resource. */
    hResInfo= FindResource(Nl,lpName,"WAVE");
    if(hResInfo == NULL)
       return FALSE;
    /* Load the WAVE resource. */
    hRes = LoadResource(Nl,hResInfo);
    if (hRes == NULL)
      return FALSE;

    /* Lock the WAVE resource and play it. */
    lpRes=(LPSTR)LockResource(hRes);
    if(lpRes==NULL)
      return FALSE;
     
    bRtn = sndPlaySound(lpRes, SND_MEMORY | SND_SYNC);
    if(bRtn == NULL)
      return FALSE;

    /* Free the WAVE resource and return success or failure. */
    FreeResource(hRes);
    return TRUE;
}



void DrawTetra(vector<vector<vector<int> > > A)
{
    vector<vector<vector<int> > >::iterator I;
	vector<vector<int> >::iterator II;
	vector<int>::iterator J;
	vector<vector<int> > B;
	vector<int> D(3,0);
    int j=0,i=0;
		
	for(I=A.begin();I!=A.end();I++)
	{
		vector<vector<int> > B;
		B=*I;	 
	    j=0;
	    for(II=B.begin();II!=B.end();II++)
		{	
		   D=*II;
		   i=0;
		   for(J=D.begin();J!=D.end();J++)// 
		   {
			   DT[j][i]=*J;		
		       i++;
		   }
		j++;
		}
glBegin(GL_TRIANGLES);
glVertex3d(DT[0][0],DT[0][1],DT[0][2]);
glVertex3d(DT[1][0],DT[1][1],DT[1][2]);
glVertex3d(DT[2][0],DT[2][1],DT[2][2]);
glEnd();



	}
}

void DrawSurface(vector<vector<vector<int> > > A)
{
    vector<vector<vector<int> > >::iterator I;
	vector<vector<int> >::iterator II;
	vector<int>::iterator J;
	vector<vector<int> > B;
	vector<int> D(3,0);
    int j=0,i=0;
		
	for(I=A.begin();I!=A.end();I++)
	{
		vector<vector<int> > B;
		B=*I;	 
	    j=0;
	    for(II=B.begin();II!=B.end();II++)
		{	
		   D=*II;
		   i=0;
		   for(J=D.begin();J!=D.end();J++)// 
		   {
			   DT[j][i]=*J;		
		       i++;
		   }
		j++;
		}
glBegin(GL_TRIANGLES);
glVertex3d(DT[0][0],DT[0][1],DT[0][2]);
glVertex3d(DT[1][0],DT[1][1],DT[1][2]);
glVertex3d(DT[2][0],DT[2][1],DT[2][2]);
glEnd();
	}
}


void DrawBoxes(vector<vector<vector<int> > > A)
{
	vector<vector<vector<int> > >::iterator I;
	vector<vector<int> >::iterator II;
	vector<int>::iterator J;
	vector<vector<int> > B;
	vector<int> D(3,0);
    int j=0,i=0;
		
	for(I=A.begin();I!=A.end();I++)
	{
		vector<vector<int> > B;
		B=*I;	 
	    j=0;
	    for(II=B.begin();II!=B.end();II++)
		{	
		   D=*II;
		   i=0;
		   for(J=D.begin();J!=D.end();J++)// 
		   {
			   DB[j][i]=*J;		
		       i++;
		   }
		j++;
		}

glBegin(GL_QUADS);
glVertex3d(DB[0][0],DB[0][1],DB[0][2]);
glVertex3d(DB[1][0],DB[1][1],DB[1][2]);
glVertex3d(DB[2][0],DB[2][1],DB[2][2]);
glVertex3d(DB[3][0],DB[3][1],DB[3][2]);
glEnd();
}







}